Class {
	#name : #PPCMDocument,
	#superclass : #PPCMDelegateNode,
	#category : #'PetitMarkdown-AST'
}

{ #category : #'as yet unclassified' }
PPCMDocument >> accept: visitor [
	^ visitor visitDocument: self
]

{ #category : #testing }
PPCMDocument >> isBlockLevel [
	^ true
]

{ #category : #accessing }
PPCMDocument >> viewBody [

	| aText |
	aText := self className asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child className asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: ('= "' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: (child className asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append:
			('"' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor) ].


	^ aText
]

{ #category : #accessing }
PPCMDocument >> viewChildrenFor: aView [ 
	<gtView>
	
	children ifNil: [ ^ aView empty ].
	
	^ aView columnedTree
		title: 'Document tree';
		priority: 1;
		items: [ { self } ];
		children: #children;
		column: 'Name' text: #viewBody;
		expandUpTo: 7
]
