Class {
	#name : #PPCMNode,
	#superclass : #Object,
	#category : #'PetitMarkdown-AST'
}

{ #category : #visiting }
PPCMNode >> accept: visitor [
	^ visitor visitNode: self
]

{ #category : #enumerating }
PPCMNode >> allChildren [
	^ Array with: self
]

{ #category : #accessing }
PPCMNode >> children [
	^ #()
]

{ #category : #gt }
PPCMNode >> gtTreeViewIn: composite [
	<gtInspectorPresentationOrder: 40>

	composite tree
			title: 'Tree';
			children: [:n | n children ];
			format: [:n| n name ifNil: [ n asString ] ifNotNil: [n name] ];
			shouldExpandToLevel: 6
]

{ #category : #testing }
PPCMNode >> isBlankLine [
	^ false
]

{ #category : #testing }
PPCMNode >> isBlockLevel [
	^ false
]

{ #category : #testing }
PPCMNode >> isCommonMarkNode [
	^ true
]

{ #category : #testing }
PPCMNode >> isLine [
	^ false
]

{ #category : #testing }
PPCMNode >> isParagraph [
	^ false
]

{ #category : #replacing }
PPCMNode >> replace: child with: anotherChild [
	^ false
]

{ #category : #accessing }
PPCMNode >> text [
	"hackity hack, this should not be used except for tests..."
	^ String cr join: (self children collect: [ :e | e text ])
]
